DOVEADM-LOG(1)

NAME
doveadm-log - Locate, test or reopen Dovecot's log files

SYNOPSIS

doveadm [GLOBAL OPTIONS] log errors [-s min_timestamp]

doveadm [GLOBAL OPTIONS] log find [directory]

doveadm [GLOBAL OPTIONS] log reopen

doveadm [GLOBAL OPTIONS] log test

DESCRIPTION

 are used to locate and reopen the log files of dovecot(1). It's also possible to test the configured targets of the

GLOBAL OPTIONS

Global doveadm(1)

-D

        Enables verbosity and debug messages.

-O

        Do not read any config file, just use defaults. The dovecot_storage_version setting defaults to the latest version, but can be overridden with

-k

        Preserve entire environment for doveadm, not just import_environment setting.

-v

        Enables verbosity, including progress counter.

-i instance-name

        If using multiple Dovecot instances, choose the config file based on this instance name.

        See instance_name setting for more information.

-c config-file

        Read configuration from the given config-file. By default it first reads config socket, and then falls back to /etc/dovecot/dovecot.conf. You can also point this to config socket of some instance running compatible version.

-o setting=value

        Overrides the configuration setting from /etc/dovecot/dovecot.conf and from the userdb with the given value. In order to override multiple settings, the -o option may be specified multiple times.

COMMANDS

  log errors

doveadm [GLOBAL OPTIONS] log errors [-s min_timestamp]

The log errors command is used to show the last - up to 1,000 - errors and warnings. If no output is generated, no errors have occurred since the last start.

-s min_timestamp

        An integer value, representing seconds since the epoch - also known as Unix timestamp. When a min_timestamp was given, doveadm(1) will only show errors occurred since that point in time.

  log find

doveadm [GLOBAL OPTIONS] log find [directory]

 command is used to show the location of the log files, to which dovecot(1) logs its messages through

  log reopen

doveadm [GLOBAL OPTIONS] log reopen

This command causes doveadm to send a SIGUSR1 signal to master process, which causes it to reopen all log files configured in the log_path, info_log_path and debug_log_path settings. These settings are configured in /etc/dovecot/conf.d/10-logging.conf.

The master process also signals the log process to do the same. This is mainly useful after manually rotating the log files.

  log test

doveadm [GLOBAL OPTIONS] log test

This command causes doveadm to write the message "This is Dovecot's priority log (timestamp)" to the configured log files. The used priorities are: debug, info, warning, error and fatal.

EXAMPLE

This example shows how to locate the log files used by dovecot(1):

    doveadm log find

    Looking for log files from /var/log
    Debug: /var/log/dovecot.debug
    Info: /var/log/mail.log
    Warning: /var/log/mail.log
    Error: /var/log/mail.log
    Fatal: /var/log/mail.log

REPORTING BUGS

Report bugs, including doveconf -n output, to the Dovecot Mailing List ⟨dovecot@dovecot.org⟩. Information about reporting bugs is available at: https://dovecot.org/bugreport.html

SEE ALSO

doveadm(1)